# Terraform OKE for Oracle Cloud Infrastructure

[![Documentation](https://github.com/oracle-terraform-modules/terraform-oci-oke/actions/workflows/mdbook.yaml/badge.svg?branch=5.x-mdbook&status=Documentation)](https://oracle-terraform-modules.github.io/terraform-oci-oke/)

Documentation for this module is available at:

- [Terraform OKE Module](https://oracle-terraform-modules.github.io/terraform-oci-oke/)

This project implements a reusable Terraform module for [Oracle Cloud Infrastructure (OCI)](https://cloud.oracle.com/cloud-infrastructure) to provision an [Oracle Container Engine for Kubernetes (OKE)](https://docs.cloud.oracle.com/iaas/Content/ContEng/Concepts/contengoverview.htm) cluster with supporting infrastructure.


## Further Documentation

-   [Terraform OCI Provider](https://www.terraform.io/docs/providers/oci/index.html)
-   [Oracle Cloud Infrastructure](https://docs.cloud.oracle.com/iaas/Content/home.htm)
-   [Oracle Container Engine](https://docs.cloud.oracle.com/iaas/Content/ContEng/Concepts/contengoverview.htm)

## Acknowledgement

Code derived and adapted from [Terraform OKE Sample](https://github.com/terraform-providers/terraform-provider-oci/tree/master/examples/container_engine) and Hashicorp’s [Terraform 0.12 examples](https://github.com/hashicorp/terraform-guides/tree/master/infrastructure-as-code/terraform-0.12-examples).

## Contributing

Learn how to [contribute](./CONTRIBUTING.md).

## License
Copyright (c) 2017, 2023 Oracle Corporation and/or its affiliates. Licensed under the [Universal Permissive License 1.0](./LICENSE) as shown at [https://oss.oracle.com/licenses/upl](https://oss.oracle.com/licenses/upl/).

